<?xml version="1.0" encoding="UTF-8"?>
<!-- FZ821v2.0_VALXSLT_478u2, 01-04-2023 -->
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
xmlns:fz821="http://ei.vektis.nl/fz/fz821_478"
xmlns:fz822="http://ei.vektis.nl/fz/fz822_479" >


 	<xsl:import href="rc8028.xslt"/> 
 	<xsl:import href="rc8986.xslt"/>	
 	<xsl:import href="rc0350.xslt"/>	
 	<xsl:import href="rc0350a.xslt"/>	
  	<xsl:import href="rc9169.xslt"/> 
	<xsl:import href="rc8914.xslt"/>	
	<xsl:import href="rc9170.xslt"/>	
	<xsl:import href="rc9171.xslt"/>	
	<xsl:import href="rc9172.xslt"/>	
	<xsl:import href="rc9173.xslt"/>	
	<xsl:import href="rc9174.xslt"/>
	<xsl:import href="rc9177.xslt"/>
	<xsl:import href="rc9182.xslt"/>	
	<xsl:import href="rc9463.xslt"/>	
	<xsl:import href="rcDatum_vs_Peildatum.xslt"/>
 	
	<!-- Uitvoer is fz822 bericht met Retourcodes. -->
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" />
	
	<xsl:variable name="Berichtcode" select="//fz821:Bericht/fz821:Header/fz821:Berichtcode"/> 
	<xsl:variable name="BerichtSoort" select="//fz821:Bericht/fz821:Header/fz821:BerichtSoort"/> 
	<xsl:variable name="Verzenddatum" select="translate(//fz821:Bericht/fz821:Header/fz821:Verzenddatum, '-', '')"/>

	<xsl:template match="//fz821:Bericht">
		<fz822:Bericht>
			<xsl:attribute name="xsi:schemaLocation">http://ei.vektis.nl/fz/fz822_479 fz822_479.xsd</xsl:attribute>
			<!-- Controleer op errors in de Header -->
				
			<!-- retourcode 8028: Soort bericht ontbreekt of is onjuist -->
			<xsl:variable name="rc8028">
				<xsl:call-template name="rc8028">
					<xsl:with-param name="BerichtSoort" select="$BerichtSoort"/>
				</xsl:call-template>
			</xsl:variable>
				
			<!-- retourcode 8986: Verzenddatum moet kleiner zijn dan of gelijk zijn aan de huidige datum. -->
			<xsl:variable name="rc8986">
				<xsl:call-template name="rc8986">
					<xsl:with-param name="Verzenddatum" select="$Verzenddatum"/>
					<xsl:with-param name="BerichtSoort" select="$BerichtSoort"/>
				</xsl:call-template>
			</xsl:variable> 
			
			<xsl:choose>
				<!-- Geen errors in de Header, dan hele bericht als retour -->
				<xsl:when test="$rc8028='' and $rc8986=''">
					<xsl:apply-templates select="fz821:Header"/>
					<xsl:apply-templates select="fz821:Verzekerde"/>
				</xsl:when>
				<!-- Wel errors in de Header, dan alleen Header als retour -->
				<xsl:otherwise>
					<xsl:apply-templates select="fz821:Header"/>
				</xsl:otherwise>
			</xsl:choose>
		</fz822:Bericht>
	</xsl:template>
	<xsl:template match="fz821:Header">
		<fz822:Header>
			<fz822:BerichtCode>479</fz822:BerichtCode>
			<xsl:apply-templates select="fz821:BerichtVersie" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz821:BerichtSubversie" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz821:BerichtSoort" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz821:JustitieleInstantie"/>
			<xsl:apply-templates select="fz821:Zorgaanbieder"/>
			<xsl:apply-templates select="fz821:Verzenddatum" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz821:Referentienummer" mode="copy-if-exists"/>
  	       	<fz822:Retourcodes>
				
				<!-- retourcode 8028: Soort bericht ontbreekt of is onjuist -->
				<xsl:variable name="rc8028">
					<xsl:call-template name="rc8028">
						<xsl:with-param name="BerichtSoort" select="$BerichtSoort"/>
					</xsl:call-template>
				</xsl:variable>
					
				<!-- retourcode 8920: Verzenddatum moet kleiner zijn dan of gelijk zijn aan de huidige datum. -->
				<xsl:variable name="rc8986">
					<xsl:call-template name="rc8986">
						<xsl:with-param name="Verzenddatum" select="$Verzenddatum"/>
						<xsl:with-param name="BerichtSoort" select="$BerichtSoort"/>
					</xsl:call-template>
				</xsl:variable> 
					
				<xsl:copy-of select="$rc8028"/>
				<xsl:copy-of select="$rc8986"/>
					
				<!-- Wanneer de klasse correct is dan wordt een 0200 retourcode toegevoegd. -->
				<xsl:if test="$rc8028='' and $rc8986=''">
					<fz822:Retourcode>0200</fz822:Retourcode>
				</xsl:if>
				
			</fz822:Retourcodes>
		</fz822:Header>
	</xsl:template>
		
	<xsl:template match="fz821:Verzekerde">
		<fz822:Verzekerde>
			<xsl:apply-templates select="fz821:Verzekerdennummer" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz821:Naam"/>
			<xsl:apply-templates select="fz821:NaamcodeNaamgebruik" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz821:Voorletters" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz821:Voornamen" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz821:Geboortedatum" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz821:GeboortedatumOnbekend" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz821:GeslachtCode" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz821:Geboorteplaats" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz821:Identiteitsdocument"/>
			<xsl:apply-templates select="fz821:Verblijfplaats"/>
			<xsl:apply-templates select="fz821:GBAadres"/>
			<xsl:apply-templates select="fz821:ForensischeZorgtitel"/>
			<xsl:apply-templates select="fz821:Indicatie"/>
			<xsl:apply-templates select="fz821:Aanmelding"/>
			<xsl:apply-templates select="fz821:Plaatsing"/>
				
		  	<fz822:Retourcodes>	
				
				<!-- retourcode 0350: Geboortedatum moet kleiner zijn dan verzenddatum -->
				 <xsl:variable name="rc0350">
					
					<xsl:call-template name="rc0350">
						<xsl:with-param name="Verzenddatum" select="$Verzenddatum"/>
						<xsl:with-param name="Geboortedatum" select="translate(//fz821:Bericht/fz821:Verzekerde/fz821:Geboortedatum, '-', '')"/>
					</xsl:call-template>
				</xsl:variable> 
					
				<!-- retourcode 0350a: Geboortedatum moet bestaan als GeboortedatumOnbekend = "false" -->
				 <xsl:variable name="rc0350a">
				
					<xsl:call-template name="rc0350a">
						<xsl:with-param name="GeboortedatumOnbekend" select="//fz821:Bericht/fz821:Verzekerde/fz821:GeboortedatumOnbekend"/>
						<xsl:with-param name="Geboortedatum" select="translate(//fz821:Bericht/fz821:Verzekerde/fz821:Geboortedatum, '-', '')"/>
					</xsl:call-template>
				</xsl:variable> 
					
				<xsl:copy-of select="$rc0350"/>
				<xsl:copy-of select="$rc0350a"/>
					
				<!-- Wanneer de klasse correct is dan wordt een 0200 retourcode toegevoegd. -->
				<xsl:if test="$rc0350='' and $rc0350a=''">
					<fz822:Retourcode>0200</fz822:Retourcode>
				</xsl:if>
					
			</fz822:Retourcodes>			
			
		</fz822:Verzekerde>
	</xsl:template>		
		
	<xsl:template match="fz821:Aanmelding">
		<fz822:Aanmelding>
			<xsl:apply-templates select="fz821:Aanmeldingsnummer" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz821:Aanmeldingsvolgnummer" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz821:Status" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz821:BeoogdeStartdatum" mode="copy-if-exists"/>
			<fz822:Retourcodes>
				<!-- Wanneer de klasse correct is dan wordt een 0200 retourcode toegevoegd. -->
					<fz822:Retourcode>0200</fz822:Retourcode>
					
				</fz822:Retourcodes>	
				
			</fz822:Aanmelding>
	</xsl:template>	
		
	<xsl:template match="fz821:Plaatsing">
		<fz822:Plaatsing>
			<xsl:apply-templates select="fz821:PlaatsingsbesluitNummer" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz821:PlaatsingsbesluitVolgnummer" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz821:Status" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz821:DagtekeningPlaatsingsbesluit" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz821:PlaatsingsbesluitPeriode"/>
			<xsl:apply-templates select="fz821:Zorgtraject"/>
				
	  	       	<fz822:Retourcodes>
					
				<!-- retourcode 9177: Einddatum van PlaatsingsbesluitPeriode moet groter zijn dan of gelijk zijn aan Startdatum van PlaatsingsbesluitPeriode. -->
				<xsl:variable name="rc9177">
					<xsl:call-template name="rc9177">
						<xsl:with-param name="StartdatumBeoogd" select="translate(//fz821:Bericht/fz821:Verzekerde/fz821:Plaatsing/fz821:PlaatsingsbesluitPeriode/fz821:BeoogdeStartdatum, '-', '')"/>
						<xsl:with-param name="EinddatumBeoogd" select="translate(//fz821:Bericht/fz821:Verzekerde/fz821:Plaatsing/fz821:PlaatsingsbesluitPeriode/fz821:BeoogdeEinddatum, '-', '')"/>
					</xsl:call-template>
				</xsl:variable>
					
				<xsl:copy-of select="$rc9177"/>
					
				<!-- Wanneer de klasse correct is dan wordt een 0200 retourcode toegevoegd. -->
				<xsl:if test="$rc9177=''">
					<fz822:Retourcode>0200</fz822:Retourcode>
				</xsl:if>				
					
			</fz822:Retourcodes>	
				
			</fz822:Plaatsing>
	</xsl:template>	
				
	<xsl:template match="fz821:PlaatsingsbesluitPeriode">	
		<fz822:PlaatsingsbesluitPeriode>
			<xsl:apply-templates select="fz821:BeoogdeStartdatum" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz821:BeoogdeEinddatum" mode="copy-if-exists"/>
		</fz822:PlaatsingsbesluitPeriode>
	</xsl:template>
		
	<xsl:template match="fz821:Zorgtraject">	
		<fz822:Zorgtraject>
			<xsl:apply-templates select="fz821:ZorgtrajectNummer" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz821:ZorgtrajectSubnummer" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz821:ZorgtrajectStartdatum" mode="copy-if-exists"/>
			<fz822:Retourcodes>
				<!-- Wanneer de klasse correct is dan wordt een 0200 retourcode toegevoegd. -->
				<fz822:Retourcode>0200</fz822:Retourcode>
			</fz822:Retourcodes>	
		</fz822:Zorgtraject>
	</xsl:template>		
		
	<xsl:template match="fz821:ForensischeZorgtitel">	
		<fz822:ForensischeZorgtitel>
			<xsl:apply-templates select="fz821:ForensischeZorgtitelNummer" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz821:ForensischeZorgtitelStartdatumOnbekend" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz821:ForensischeZorgtitelPeriode"/>
			<xsl:apply-templates select="fz821:Parketnummer" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz821:Delicten"/>
			<xsl:apply-templates select="fz821:BijzondereVoorwaarden"/>
			<fz822:Retourcodes>
				<!-- retourcode 9169: Einddatum Forensische Zorgtitel moet groter zijn dan of gelijk zijn aan startdatum Forensische Zorgtitel. -->
				<xsl:variable name="rc9169">
					<xsl:call-template name="rc9169">
						<xsl:with-param name="Startdatum" select="translate(//fz821:Bericht/fz821:Verzekerde/fz821:ForensischeZorgtitel/fz821:ForensischeZorgtitelPeriode/fz821:Startdatum, '-', '')"/>
						<xsl:with-param name="Einddatum" select="translate(//fz821:Bericht/fz821:Verzekerde/fz821:ForensischeZorgtitel/fz821:ForensischeZorgtitelPeriode/fz821:Einddatum, '-', '')"/>
					</xsl:call-template>
				</xsl:variable>
					
				<!-- retourcode 9463: Indien ForensischeZorgtitelStartdatumOnbekend heeft waarde ‘false’, dan moet ForensischeZorgtitelPeriode/Startdatum voorkomen.-->
				<xsl:variable name="rc9463">
					<xsl:call-template name="rc9463">
						<xsl:with-param name="ForensischeZorgtitelStartdatumOnbekend" select="//fz821:Bericht/fz821:Verzekerde/fz821:ForensischeZorgtitel/fz821:ForensischeZorgtitelStartdatumOnbekend"/>
						<xsl:with-param name="Startdatum" select="translate(//fz821:Bericht/fz821:Verzekerde/fz821:ForensischeZorgtitel/fz821:ForensischeZorgtitelPeriode/fz821:Startdatum, '-', '')"/>
					</xsl:call-template>
				</xsl:variable>

				<xsl:copy-of select="$rc9169"/>
				<xsl:copy-of select="$rc9463"/>

				<!-- Wanneer de klasse correct is dan wordt een 0200 retourcode toegevoegd. -->
				<xsl:if test="$rc9169='' and $rc9463='' ">
					<fz822:Retourcode>0200</fz822:Retourcode>
				</xsl:if>
			</fz822:Retourcodes>
		</fz822:ForensischeZorgtitel>
	</xsl:template>
		
	<xsl:template match="fz821:ForensischeZorgtitelPeriode">	
		<fz822:ForensischeZorgtitelPeriode>
			<xsl:apply-templates select="fz821:Startdatum" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz821:Einddatum" mode="copy-if-exists"/>
		</fz822:ForensischeZorgtitelPeriode>
	</xsl:template>
			
	<xsl:template match="fz821:Indicatie">	
		<fz822:Indicatie>
			<xsl:apply-templates select="fz821:Indicatiebesluitnummer" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz821:AfgiftedatumIndicatiebesluit" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz821:Delicten"/>
			<xsl:apply-templates select="fz821:GeindiceerdeZorgsetting"/>
			<xsl:apply-templates select="fz821:BijzondereVoorwaarden"/>
			<fz822:Retourcodes>
				
				<!-- retourcode 8914: Datum afgifte indicatiebesluit moet kleiner zijn dan of gelijk zijn aan dagtekening aanmaak.-->
				<xsl:variable name="rc8914">
					<xsl:call-template name="rc8914">
						<xsl:with-param name="Verzenddatum" select="$Verzenddatum"/>
						<xsl:with-param name="AfgiftedatumIndicatiebesluit" select="translate(//fz821:Bericht/fz821:Verzekerde/fz821:Indicatie/fz821:AfgiftedatumIndicatiebesluit, '-', '')"/>
					</xsl:call-template>
				</xsl:variable>
					
				<xsl:copy-of select="$rc8914"/>
					
				<!-- Wanneer de klasse correct is dan wordt een 0200 retourcode toegevoegd. -->
				<xsl:if test="$rc8914=''">
					<fz822:Retourcode>0200</fz822:Retourcode>
				</xsl:if>
					
			</fz822:Retourcodes>
		</fz822:Indicatie>
	</xsl:template>
		
	<xsl:template match="fz821:GeindiceerdeZorgsetting">
		<fz822:GeindiceerdeZorgsetting>
			<xsl:apply-templates select="fz821:CodeZorgType" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz821:BeveiligingsniveauCode" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz821:CodeVerblijfsintensiteitCombinatie" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz821:CodeZZPC_VPTCombinatie" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz821:CodeZZPVG_VPTCombinatie" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz821:CodeAmbulanteZorgCombinatie" mode="copy-if-exists"/>
				
			<fz822:Retourcodes>
				<xsl:variable name="CodeZorgType" select="//fz821:Bericht/fz821:Verzekerde/fz821:Indicatie/fz821:GeindiceerdeZorgsetting/fz821:CodeZorgType"/>
				<!-- retourcode 9170 BeveiligingsniveauCode moet voorkomen bij deze waarde in CodeZorgtype.-->
				<xsl:variable name="rc9170">
					<xsl:call-template name="rc9170">
						<xsl:with-param name="CodeZorgType" select="$CodeZorgType"/>
						<xsl:with-param name="BeveiligingsniveauCode" select="//fz821:Bericht/fz821:Verzekerde/fz821:Indicatie/fz821:GeindiceerdeZorgsetting/fz821:BeveiligingsniveauCode"/>
					</xsl:call-template>
				</xsl:variable>
					
				<!-- retourcode 9171 CodeVerblijfsintensiteitCombinatie moet voorkomen bij deze waarde in CodeZorgtype.-->
				<xsl:variable name="rc9171">
					<xsl:call-template name="rc9171">
						<xsl:with-param name="CodeZorgType" select="$CodeZorgType"/>
						<xsl:with-param name="CodeVerblijfsintensiteitCombinatie" select="//fz821:Bericht/fz821:Verzekerde/fz821:Indicatie/fz821:GeindiceerdeZorgsetting/fz821:CodeVerblijfsintensiteitCombinatie"/>
					</xsl:call-template>
				</xsl:variable>
					
				<!-- retourcode 9172 CodeZZPC_VPTCombinatie of CodeZZPVG_VPTCombinatie moet voorkomen bij deze waarde in CodeZorgtype.-->
				<xsl:variable name="rc9172">
					<xsl:call-template name="rc9172">
						<xsl:with-param name="CodeZorgType" select="$CodeZorgType"/>
						<xsl:with-param name="CodeZZPC_VPTCombinatie" select="//fz821:Bericht/fz821:Verzekerde/fz821:Indicatie/fz821:GeindiceerdeZorgsetting/fz821:CodeZZPC_VPTCombinatie"/>
						<xsl:with-param name="CodeZZPVG_VPTCombinatie" select="//fz821:Bericht/fz821:Verzekerde/fz821:Indicatie/fz821:GeindiceerdeZorgsetting/fz821:CodeZZPVG_VPTCombinatie"/>
					</xsl:call-template>
				</xsl:variable>
					
				<!-- retourcode 9173 CodeZZPC_VPTCombinatie of CodeZZPVG_VPTCombinatie mogen niet beide voorkomen bij deze waarde in CodeZorgtype.-->
				<xsl:variable name="rc9173">
					<xsl:call-template name="rc9173">
						<xsl:with-param name="CodeZorgType" select="$CodeZorgType"/>
						<xsl:with-param name="CodeZZPC_VPTCombinatie" select="//fz821:Bericht/fz821:Verzekerde/fz821:Indicatie/fz821:GeindiceerdeZorgsetting/fz821:CodeZZPC_VPTCombinatie"/>
						<xsl:with-param name="CodeZZPVG_VPTCombinatie" select="//fz821:Bericht/fz821:Verzekerde/fz821:Indicatie/fz821:GeindiceerdeZorgsetting/fz821:CodeZZPVG_VPTCombinatie"/>
					</xsl:call-template>
				</xsl:variable>
					
				<!-- retourcode 9174 CodeAmbulanteZorgCombinatie moet met waarde 07 voorkomen bij deze waarde in CodeZorgtype.-->
				<xsl:variable name="rc9174">
					<xsl:call-template name="rc9174">
						<xsl:with-param name="CodeZorgType" select="$CodeZorgType"/>
						<xsl:with-param name="CodeAmbulanteZorgCombinatie" select="//fz821:Bericht/fz821:Verzekerde/fz821:Indicatie/fz821:GeindiceerdeZorgsetting/fz821:CodeAmbulanteZorgCombinatie"/>
					</xsl:call-template>
				</xsl:variable>
					
				<!-- retourcode 9182 CodeZZP_VPTCombinatie of CodeZZPVG_VPTCombinatie mogen niet beide voorkomen bij deze waarde in CodeZorgtype.-->
				<xsl:variable name="rc9182">
					<xsl:call-template name="rc9182">
						<xsl:with-param name="CodeZorgType" select="$CodeZorgType"/>
						<xsl:with-param name="CodeAmbulanteZorgCombinatie" select="//fz821:Bericht/fz821:Verzekerde/fz821:Indicatie/fz821:GeindiceerdeZorgsetting/fz821:CodeAmbulanteZorgCombinatie"/>
					</xsl:call-template>
				</xsl:variable>
					
				<xsl:copy-of select="$rc9170"/>
				<xsl:copy-of select="$rc9171"/>
				<xsl:copy-of select="$rc9172"/>					
				<xsl:copy-of select="$rc9173"/>
				<xsl:copy-of select="$rc9174"/>
				<xsl:copy-of select="$rc9182"/>
					
				<!-- Wanneer de klasse correct is dan wordt een 0200 retourcode toegevoegd. -->
				<xsl:if test="$rc9170='' and $rc9171=''  and $rc9172='' and $rc9173='' and $rc9174='' and $rc9182=''">
					<fz822:Retourcode>0200</fz822:Retourcode>
				</xsl:if>
			</fz822:Retourcodes>
		</fz822:GeindiceerdeZorgsetting>
		
	</xsl:template>
		
	<xsl:template match="fz821:Delicten">	
		<fz822:Delicten>
			<xsl:apply-templates select="fz821:Delict" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz821:Toelichting" mode="copy-if-exists"/>
			<fz822:Retourcodes>
				<!-- Wanneer de klasse correct is dan wordt een 0200 retourcode toegevoegd. -->
					<fz822:Retourcode>0200</fz822:Retourcode>
			</fz822:Retourcodes>
		</fz822:Delicten>
	</xsl:template>

	<xsl:template match="fz821:BijzondereVoorwaarden">
		<fz822:BijzondereVoorwaarden>
			<xsl:apply-templates select="fz821:BijzondereVoorwaarde" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz821:Toelichting" mode="copy-if-exists"/>
			<fz822:Retourcodes>
				<!-- Wanneer de klasse correct is dan wordt een 0200 retourcode toegevoegd. -->
					<fz822:Retourcode>0200</fz822:Retourcode>
			</fz822:Retourcodes>
		</fz822:BijzondereVoorwaarden>
	</xsl:template>

	<xsl:template match="fz821:JustitieleInstantie">
		<fz822:JustitieleInstantie>
			<xsl:apply-templates select="fz821:UZOVINummer" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz821:InstantieCode" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz821:Naam"/>
			<xsl:apply-templates select="fz821:Voorletters" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz821:Emailadres" mode="copy-if-exists"/>
		</fz822:JustitieleInstantie>
	</xsl:template>
		
	<xsl:template match="fz821:Zorgaanbieder">
		<fz822:Zorgaanbieder>
			<xsl:apply-templates select="fz821:Ondernemingscode" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz821:Vestigingscode" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz821:Locatie" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz821:Emailadres" mode="copy-if-exists"/>
		</fz822:Zorgaanbieder>
	</xsl:template>
		
	<xsl:template match="fz821:Naam">	
		<fz822:Naam>
			<xsl:apply-templates select="fz821:Achternaam" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz821:Voorvoegsels" mode="copy-if-exists"/>
		</fz822:Naam>
	</xsl:template>
		
	<xsl:template match="fz821:Identiteitsdocument">
		<fz822:Identiteitsdocument>
			<xsl:apply-templates select="fz821:Type" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz821:Nummer" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz821:Geldigheidsdatum" mode="copy-if-exists"/>
		</fz822:Identiteitsdocument>
	</xsl:template>
		
	<xsl:template match="fz821:Verblijfplaats">	
		<fz822:Verblijfplaats>
			<xsl:apply-templates select="fz821:AdresSoort" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz821:Instellingsnaam" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz821:Afdelingsnaam" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz821:Telefoonnummer" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz821:Straatnaam" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz821:Huisnummer" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz821:HuisnummerToevoeging" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz821:Postcode" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz821:Plaatsnaam" mode="copy-if-exists"/>
			<fz822:Retourcodes>
				<!-- Wanneer de klasse correct is dan wordt een 0200 retourcode toegevoegd. -->
					<fz822:Retourcode>0200</fz822:Retourcode>
			</fz822:Retourcodes>
		</fz822:Verblijfplaats>
	</xsl:template>
		
	<xsl:template match="fz821:GBAadres">	
		<fz822:GBAadres>
			<xsl:apply-templates select="fz821:Straatnaam" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz821:Huisnummer" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz821:HuisnummerToevoeging" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz821:Postcode" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz821:Plaatsnaam" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz821:Telefoonnummer" mode="copy-if-exists"/>
			<fz822:Retourcodes>
				<!-- Wanneer de klasse correct is dan wordt een 0200 retourcode toegevoegd. -->
					<fz822:Retourcode>0200</fz822:Retourcode>
			</fz822:Retourcodes>
		</fz822:GBAadres>
	</xsl:template>		
		
	<!-- Copy template: als een enkel element voorkomt is, wordt deze gekopieerd in de opgegeven namespace -->
	<xsl:template match="*[namespace-uri()='http://ei.vektis.nl/fz/fz821_478']" mode="copy-if-exists">
		<xsl:if test=".">
			<xsl:element name="{concat('fz822:',local-name())}">
				<xsl:value-of select="text()"/>
			</xsl:element>
		</xsl:if>
	</xsl:template>

</xsl:stylesheet>